Page MenuHomePhabricator

Fix for PR26378 (reset persistent state in PPCAsmPrinter)
ClosedPublic

Authored by nemanjai on Feb 29 2016, 4:20 AM.

Details

Summary

We were not clearing the TOC vector in PPCAsmPrinter when initializing it. This caused duplicate definition asserts when the pass is reused on the module (i.e. with -compile-twice or in JIT contexts).

Diff Detail

Repository
rL LLVM

Event Timeline

nemanjai updated this revision to Diff 49358.Feb 29 2016, 4:20 AM
nemanjai retitled this revision from to Fix for PR26378 (reset persistent state in PPCAsmPrinter).
nemanjai updated this object.
nemanjai added reviewers: hfinkel, kbarton, wschmidt.
nemanjai set the repository for this revision to rL LLVM.
nemanjai added a subscriber: llvm-commits.
nemanjai updated this revision to Diff 49521.Mar 1 2016, 11:34 AM

Added the test case from the PR that I initially forgot to svn add.

nemanjai updated this revision to Diff 49535.Mar 1 2016, 12:11 PM

The %s was missing in the test case.

kbarton accepted this revision.Mar 1 2016, 1:47 PM
kbarton edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 1 2016, 1:47 PM
nemanjai closed this revision.Mar 12 2016, 2:28 AM

Committed revision 263338.